| Home | Libraries | People | FAQ | More

## Function set_check_failure

boost::contract::set_check_failure — Set failure handler for implementation checks.

## Synopsis

    // In header: <boost/contract/core/exception.hpp>

    failure_handler const & set_check_failure(failure_handler const & f);

## Description

Set a new failure handler and returns it.

Throws: This is declared `noexcept` (or `throw()` before C++11).

See Also: Throw on Failure, Implementation Checks

Parameters: |
`f` | New failure handler functor to set.
Returns: | Same failure handler functor `f` passed as parameter (e.g., for concatenating function calls).